(** Beta-eta-Equality for constructors. *)

exception Fail of string

(** kind-driven equality 
    [eq ((th, g), f1, f2, kappa) = ()] *)
val eq : Clos.surr * Exp.exp * Exp.exp * Exp.exp -> unit

(** structural equality of neutral terms
    [streq ((th, g), f1, f2) = ()] *)
val streq : Clos.surr * Exp.exp * Exp.exp -> unit
