(** Normalization procedures. *)

open Exp
open Clos

(** Weak normal form                                                 *)
(** Remove all open redices in a term, but do not expand definitions *)

val wnf  : clos -> exp
val wnfc : clos -> clos

(** Head normal form                                                 *)
(** Expose outermost constructor, expanding definitions as needed    *)

val hnf  : clos -> exp
val hnfc : clos -> clos
